# Uses of Class
org.eclipse.jface.viewers.StyledString

Packages that use StyledString
Package
Description
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.

## Uses of StyledString in org.eclipse.jface.text.contentassist

Methods in org.eclipse.jface.text.contentassist that return StyledString
Modifier and Type
Method
Description
`StyledString`
ICompletionProposalExtension6.`getStyledDisplayString()`
Returns the styled string used to display this proposal in the list of completion proposals.
`StyledString`
ICompletionProposalExtension7.`getStyledDisplayString(IDocument document, int offset, BoldStylerProvider boldStylerProvider)`
Returns the styled display string for this proposal with emphasized ranges that match the token at the current caret offset.

## Uses of StyledString in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return StyledString
Modifier and Type
Method
Description
`StyledString`
StyledString.`append(char ch)`
Appends the string representation of the given character to the `StyledString`.
`StyledString`
StyledString.`append(char[] chars)`
Appends the string representation of the given character array to the `StyledString`.
`StyledString`
StyledString.`append(char[] chars, StyledString.Styler styler)`
Appends the string representation of the given character array with a style to the `StyledString`.
`StyledString`
StyledString.`append(char ch, StyledString.Styler styler)`
Appends the string representation of the given character with a style to the `StyledString`.
`StyledString`
StyledString.`append(String string)`
Appends a string to the `StyledString`.
`StyledString`
StyledString.`append(String string, StyledString.Styler styler)`
Appends a string with a style to the `StyledString`.
`StyledString`
StyledString.`append(StyledString string)`
Appends a string with styles to the `StyledString`.
`protected StyledString`
DecoratingStyledCellLabelProvider.`getStyledText(Object element)`
Returns the styled text for the label of the given element.
`protected StyledString`
DelegatingStyledCellLabelProvider.`getStyledText(Object element)`
Returns the styled text for the label of the given element.
`StyledString`
DelegatingStyledCellLabelProvider.IStyledLabelProvider.`getStyledText(Object element)`
Returns the styled text label for the given element
`StyledString`
StyledString.`insert(char ch, int offset)`
Inserts the character at the given offset.
`static StyledString`
StyledCellLabelProvider.`styleDecoratedString(String decoratedString, StyledString.Styler decorationStyler, StyledString styledString)`
Applies decoration styles to the decorated string and adds the styles of the previously undecorated string.
Methods in org.eclipse.jface.viewers with parameters of type StyledString
Modifier and Type
Method
Description
`StyledString`
StyledString.`append(StyledString string)`
Appends a string with styles to the `StyledString`.
`static StyledString`
StyledCellLabelProvider.`styleDecoratedString(String decoratedString, StyledString.Styler decorationStyler, StyledString styledString)`
Applies decoration styles to the decorated string and adds the styles of the previously undecorated string.

## Uses of StyledString in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return StyledString
Modifier and Type
Method
Description
`StyledString`
IStyledStringHighlighter.`highlight(String text, String pattern, StyledString.Styler styler)`
Used to highlight matches
`StyledString`
StyledStringHighlighter.`highlight(String text, String pattern, StyledString.Styler styler)`

## Uses of StyledString in org.eclipse.ui.model

Methods in org.eclipse.ui.model that return StyledString
Modifier and Type
Method
Description
`StyledString`
IWorkbenchAdapter3.`getStyledText(Object element)`
Returns the styled text label for the given element.
`StyledString`
WorkbenchAdapter.`getStyledText(Object object)`
The default implementation of this `IWorkbenchAdapter3` method returns the `StyledString` which wraps the label of the element.
`StyledString`
WorkbenchLabelProvider.`getStyledText(Object element)`
The default implementation of this returns the styled text label for the given element.